#ifndef FFT_N
#define FFT_N	64		/* Number of samples (64,128,256,512). Don't forget to clean! */

typedef struct _tag_complex_t {
	int16_t	r;
	int16_t i;
} complex_t;

void fft_input (const int16_t *, complex_t *);
void fft_execute (complex_t *);
void fft_output (const complex_t *, uint16_t *);
int16_t fmuls_f (int16_t, int16_t);

extern const prog_int16_t tbl_window[];

#endif	/* FFT_N */
